Skip to content

List imports

View as Markdown
get /api/imports

Retrieves the collection of Import resources.

Returns a paginated collection of the import jobs of the current tenant. Filter by status, type or id[], and sort by createdAt, updatedAt, status, type or format. Requires the imports:read scope.

Query parameters

NameTypeRequiredDescription
pageinteger-The collection page number
itemsPerPageinteger-The number of items per page
properties[]string[]-Allows you to reduce the response to contain only the properties you need. If your desired property is nested, you can address it using nested arrays. Example: properties[]={propertyName}&properties[]={anotherPropertyName}&properties[{nestedPropertyParent}][]={nestedProperty}
id[]string[]-Only the items with one of these ids, each a UUID or the item IRI.
statusstring-Import status
status[]string[]-Import status
typestring-Import type
type[]string[]-Import type
order[createdAt]string-Import order[createdAt]
order[updatedAt]string-Import order[updatedAt]
order[status]string-Import order[status]
order[type]string-Import order[type]
order[format]string-Import order[format]

Response

200 - Import collection

Content-Type: application/ld+json

PropertyTypeRequiredDescription
searchobject-
Show search fields
PropertyTypeRequiredDescription
@typestring-
mappingobject[]-
Show mapping fields
PropertyTypeRequiredDescription
@typestring-
propertystring | null-
requiredboolean-
variablestring-
templatestring-
variableRepresentationstring-
totalItemsinteger-
viewobject-
Show view fields
PropertyTypeRequiredDescription
@idstring-
@typestring-
firststring | null-
laststring | null-
nextstring | null-
previousstring | null-
memberImport[]required
Show member fields
PropertyTypeRequiredDescription
@contextstring | object-
@idstringrequired
@typestringrequired
createdAtstring | null-
format"csv" | "tsv" | "xlsx" | null-
idstring-
metadataobject-
reportobject | null-Per-row processing report. Null until the import has been processed.
Show report fields
PropertyTypeRequiredDescription
errorstring-Present only when the import failed systemically.
errorsobject[]required
failedintegerrequired
importedintegerrequired
resetobject-Records deleted per table, present only when metadata[reset]=true.
totalRowsintegerrequired
status"pending" | "processing" | "completed" | "failed" | null-
type"collections" | "categories" | "attributes" | "suppliers" | "attribute_options" | "purchase_offer" | "sale_offer" | "metafield_value" | "product" | nullrequired
updatedAtstring | null-

Errors

403 - Access denied. The caller is missing one or more permissions required for this operation.

Content-Type: application/problem+json

PropertyTypeRequiredDescription
@contextstring | object-
@idstringrequired
@typestringrequired
detailstring-
missingPermissionsstring[]-Permissions that the caller is missing for this operation. Present only when the 403 is caused by a denied permission.
statusinteger-
titlestring-
typestring-